import * as echarts from "echarts";
export default function getData(params) {
    return {
        color: ['rgba(77,237,255,1)', 'rgba(228,46,121,1)', ],
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                type: 'cross',
                label: {
                    backgroundColor: '#6a7985'
                }
            }
        },
        toolbox: {},
        grid: {
            left: 10,
            right: 25,
            bottom: 0,
            top: 20,
            containLabel: true
        },
        xAxis: [{
            type: 'category',
            boundaryGap: false,
            axisLabel: {
                color: "#FFFFFF",
                formatter: function(param) {
                    return `${param.slice(5, 10)}`;
                },
            },
            axisTick: {
                show: false,
            },
            data: params.map(val => val.time)
        }],
        yAxis: [{
            type: 'value',
            axisLabel: {
                color: "#FFFFFF",
            },
            max: function(value) {
                return value.max + value.max * 0.2;
            },
            axisTick: {
                show: false,
            },
            splitLine: {
                show: true,
                lineStyle: {
                    color: "rgba(44,90,101,.5)",
                }
            }
        }],
        series: [{
                name: '离线警告',
                type: 'line',
                stack: '总量',
                smooth: true,
                lineStyle: {
                    width: 0
                },
                // showSymbol: false,
                areaStyle: {
                    opacity: 0.8,
                    color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
                        offset: 0,
                        color: 'rgba(77,237,255,1)'
                    }, {
                        offset: 1,
                        color: 'rgba(77,237,255,.1)'
                    }])
                },
                emphasis: {
                    focus: 'series'
                },
                data: params.map(val => val.offline)
            },
            {
                name: '异常警告',
                type: 'line',
                stack: '总量',
                smooth: true,
                lineStyle: {
                    width: 0
                },
                // showSymbol: false,
                areaStyle: {
                    opacity: 0.8,
                    color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
                        offset: 0,
                        color: 'rgba(228,46,121,1)'
                    }, {
                        offset: 1,
                        color: 'rgba(228,46,121,.1)'
                    }])
                },
                emphasis: {
                    focus: 'series'
                },
                data: params.map(val => val.total - val.offline)
            },
        ]
    };
}